fop 1.1

## org.apache.fop.render.afp
Class AFPImageHandler

    java.lang.Object
      org.apache.fop.render.afp.AFPImageHandler

All Implemented Interfaces:
  ImageHandlerBase

Direct Known Subclasses:
  AbstractAFPImageHandlerRawStream, AFPImageHandlerGraphics2D, AFPImageHandlerRawJPEG, AFPImageHandlerRenderedImage

    public abstract class AFPImageHandler

extends java.lang.Object
implements ImageHandlerBase

A base abstract AFP image handler

Constructor Summary
`AFPImageHandler()`

Method Summary
`protected abstract AFPDataObjectInfo` `createDataObjectInfo()` Creates the data object information object
`static AFPObjectAreaInfo` `createObjectAreaInfo(AFPPaintingState paintingState, java.awt.Rectangle targetRect)` Creates and returns an `AFPObjectAreaInfo` instance for the placement of the image.
`protected void` `setResourceInformation(AFPDataObjectInfo dataObjectInfo, java.lang.String uri, java.util.Map foreignAttributes)` Sets resource information on the data object info.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.fop.render.ImageHandlerBase
`getPriority, getSupportedImageClass, getSupportedImageFlavors`

Constructor Detail

### AFPImageHandler

    public AFPImageHandler()

Method Detail

### setResourceInformation

    protected void setResourceInformation(AFPDataObjectInfo dataObjectInfo,
                                          java.lang.String uri,
                                          java.util.Map foreignAttributes)

  Sets resource information on the data object info.

  Parameters:
    `dataObjectInfo` - the data object info instance
    `uri` - the image's URI (or null if no URI is available)
    `foreignAttributes` - a Map of foreign attributes (or null)

### createObjectAreaInfo

    public static AFPObjectAreaInfo createObjectAreaInfo(AFPPaintingState paintingState,
                                                         java.awt.Rectangle targetRect)

  Creates and returns an `AFPObjectAreaInfo` instance for the placement of the image.

  Parameters:
    `paintingState` - the painting state
    `targetRect` - the target rectangle in which to place the image (coordinates in mpt)
  Returns:
    the newly created object area info instance

### createDataObjectInfo

    protected abstract AFPDataObjectInfo createDataObjectInfo()

  Creates the data object information object

  Returns:
    the data object information object

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.